Package org.apache.velocity.runtime.directive

# Interface DirectiveConstants

All Known Implementing Classes:
  `Block`, `BlockMacro`, `Break`, `Define`, `Directive`, `Evaluate`, `For`, `Foreach`, `Include`, `InputBase`, `Macro`, `Parse`, `RuntimeMacro`, `Stop`, `VelocimacroProxy`

public interface DirectiveConstants
Base class for all directives used in Velocity.

Version:
  $Id$
Author:
  Geir Magnusson Jr.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BLOCK`
Block directive indicator
`static final int`
`LINE`
Line directive indicator

## Field Details

### BLOCK

static final int BLOCK
Block directive indicator

See Also:
  - Constant Field Values

### LINE

static final int LINE
Line directive indicator

See Also:
  - Constant Field Values